# Langchain LLM Utils

[![PyPI version](https://badge.fury.io/py/langchain-llm-utils.svg)](https://badge.fury.io/py/langchain-llm-utils)
[![Build Status](https://github.com/gautamborgohain/llm_utils/actions/workflows/ci_cd.yml/badge.svg)](https://github.com/gautamborgohain/llm_utils/actions)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![Python 3.8+](https://img.shields.io/badge/python-3.8+-blue.svg)](https://www.python.org/downloads/)

A collection of utility functions and tools for working with Language Models (LLMs) using the Langchain framework.

## Features

- Compatible with Langchain
- Multi processing of batch
- Token aware rate limiter 
- Prompt request cache
- Online and offline evaluations utility


## Installation

You can install the package using pip:

```bash
pip install langchain-llm-utils
```

## Examples

- [Text Analytics ](https://github.com/gautamborgohain/llm_utils/blob/main/langchain_llm_utils/examples/text_analytics.py)
